Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAction.MenuRole

    java.lang.Object
      java.lang.Enum<QAction.MenuRole>
          com.trolltech.qt.gui.QAction.MenuRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAction.MenuRole>

Enclosing class:
  QAction

    public static enum QAction.MenuRole

extends java.lang.Enum<QAction.MenuRole>
implements QtEnumerator

This enum describes how an action should be moved into the application menu on Mac OS X.

Enum Constant Summary
`AboutQtRole` This action matches handles the "About Qt" menu item.
`AboutRole` This action should be placed where the "About" menu item is in the application menu.
`ApplicationSpecificRole` This action should be put in the application menu with an application specific role
`NoRole` This action should not be put into the application menu
`PreferencesRole` This action should be placed where the "Preferences..." menu item is in the application menu.
`QuitRole` This action should be placed where the Quit menu item is in the application menu.
`TextHeuristicRole` This action should be put in the application menu based on the action's text as described in the `QMenuBar` documentation.

Method Summary
`static QAction.MenuRole` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAction.MenuRole` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAction.MenuRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoRole

    public static final QAction.MenuRole NoRole

  This action should not be put into the application menu

### TextHeuristicRole

    public static final QAction.MenuRole TextHeuristicRole

  This action should be put in the application menu based on the action's text as described in the `QMenuBar` documentation.

### ApplicationSpecificRole

    public static final QAction.MenuRole ApplicationSpecificRole

  This action should be put in the application menu with an application specific role

### AboutQtRole

    public static final QAction.MenuRole AboutQtRole

  This action matches handles the "About Qt" menu item.

### AboutRole

    public static final QAction.MenuRole AboutRole

  This action should be placed where the "About" menu item is in the application menu.

### PreferencesRole

    public static final QAction.MenuRole PreferencesRole

  This action should be placed where the "Preferences..." menu item is in the application menu.

### QuitRole

    public static final QAction.MenuRole QuitRole

  This action should be placed where the Quit menu item is in the application menu.

Method Detail

### values

    public static final QAction.MenuRole[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAction.MenuRole c : QAction.MenuRole.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAction.MenuRole valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAction.MenuRole resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD